@echo off
TITLE Windows DreamScene for non-Ultimate Vista
echo.
echo Windows DreamScene for non-Ultimate Vista v2
echo Razorblade 2008
echo.
echo See Readme.txt for detailed instructions
echo.
echo Confirm to install? (Press Ctrl-C and answer Y to terminate)
pause
echo.
echo.
mkdir "%WinDir%\Web\Windows DreamScene\"
copy "%~dp0\vid\*.mpg" "%WinDir%\Web\Windows DreamScene\" /y
echo.
echo [6]  64 bit (x64)
echo [3]  32 bit (x86)
echo.
choice /C 63 /M "Vista version:"
if ERRORLEVEL 1 goto ses
if ERRORLEVEL 2 goto tre
:ses
copy "%~dp0\x64\DreamScene.dll" %WinDir%\System32\ /y
copy "%~dp0\x64\DreamScene.dll.mui" %WinDir%\System32\en-US\ /y
goto quit
:tre
copy "%~dp0\x86\DreamScene.dll" %WinDir%\System32\ /y
copy "%~dp0\x86\DreamScene.dll.mui" %WinDir%\System32\en-US\ /y
:quit
reg import "%~dp0\DreamScene.reg"
echo.
echo *** Windows DreamScene installation completed. ***
echo.
pause
:end
